D4Science Infrastructure - Upgrade #1917

Upgrade # 1911 (Closed): D4Science Infrastructure Upgrade to gCube 3.10.0

D4Science Gateways 1st upgrade to gCube 3.10.0

Jan 11, 2016 05:06 PM - Massimiliano Assante

Status: Closed Start date: Jan 11, 2016
Priority: Normal Due date:
Assignee: Massimiliano Assante % Done: 100%
Target version: D4Science Infrastructure Upgrade to
gCube 3.10.0
Infrastructure: Production
Description
Related issues:
Related to D4Science Infrastructure - Upgrade #1923: preprod.d4science.org 2n... Closed Feb 01,2016 Feb 03, 2016

History

#1 - Jan 11, 2016 05:51 PM - Massimiliano Assante
- Start date set to Jan 11, 2016

due to changes in a related task

#2 - Jan 11, 2016 05:51 PM - Massimiliano Assante

- Related to Upgrade #1923: preprod.d4science.org 2nd upgrade to gCube 3.10.0 added

#3 - Jan 12, 2016 03:13 PM - Massimiliano Assante

Portals

The portals should be upgraded using the new mavenized portal bundle 3-10-0

Portals to upgrade:

® i-marine.d4science.org DONE

e services.d4science.org DONE

¢ egip.d4science.org DONE

¢ descramble.d4science.org DONE

New Portlets
® org.gcube.portlets-user.user-statistics.1-0-0 DONE
Portlets to upgrade

org.gcube.portlets-admin.register-vre-users.1-4-1 DONE
org.gcube.portlets-user.newsfeed.1-12-0 DONE
org.gcube.portlets-user.workspace-portlet.6-10-1 DONE
org.gcube.portlets-user.geoexplorer-portlet.2-8-0 DONE
org.gcube.portlets-user.report-generator-portlet.5-1-0 DONE
org.gcube.portlets-user.shareupdates.1-8-2 DONE
org.gcube.portlets-user.token-generator.1-1-0 DONE

Portlets to upgrade because of dependencies update

¢ org.gcube.portlets-user.tabular-data-portlet.2-9-0 NOT DONE, Jan 13 version not containing the FIX

Portlets/Webapps to remove because of dismission

¢ Data transfer portlet

Standalone Web Applications
e org.gcube.portal.social-networking-library-ws.1-0-0 DONE

Servlets

e org.gcube.portal.social-mail-servlet.1-3-0 DONE
® org.gcube.portal.ldap-export-serviet.1-0-0 DONE

Configurations
¢ The support for multiple upload (#1982) need the Cassandra Production KeySpace to me modified by adding a new Column Family
(Attachments) NOT DONE, Jan 13 version not containing the Feature
¢ The portal service endpoint LDAP config should be upgraded. DONE
e The mail-reader-hook should be upgraded. DONE

Layouts

¢ The statics portlet should be added to VRE Layouts (Home) and on the Gateway Home Page. DONE

#4 - Jan 19, 2016 12:03 PM - Massimiliano Assante

- Status changed from New to Planned

#5 - Jan 21, 2016 05:53 PM - Massimiliano Assante

- Status changed from Planned to In Progress

#6 - Jan 21, 2016 06:58 PM - Massimiliano Assante
- Subject changed from D4Science Gateways upgrade to gCube 3.10.0 to D4Science Gateways 1st upgrade to gCube 3.10.0

#7 - Jan 21, 2016 06:58 PM - Massimiliano Assante

- Status changed from In Progress to Completed

#8 - Jan 29, 2016 03:25 PM - Massimiliano Assante
- Status changed from Completed to Closed

#9 - Feb 16, 2016 12:06 PM - Massimiliano Assante
- % Done changed from 0 to 100
